package cn.wise.sc.consume.business.mapper;

import cn.wise.sc.consume.business.entity.SysLogs;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-07-29
 */
public interface SysLogsMapper extends BaseMapper<SysLogs> {
	@Insert("insert into sys_logs(userId, module, flag, remark, createTime, tenant_id) " +
			"values(#{userId}, #{module}, #{flag}, #{remark}, now(), #{tenantId} )")
	int save(SysLogs sysLogs);

	@Delete("delete from sys_logs where createTime <= #{time}")
	int deleteLogs(String time);

}
